//
//  TSAIRintoneHistoryCell.swift
//  AIRingtone
//
//  Created by 100Years on 2025/3/6.
//

import SwipeCellKit
class TSAIRintoneHistoryCell: SwipeCollectionViewCell {
    
    override init(frame: CGRect) {
        super.init(frame: frame)
        creatUI()
    }
    
    required public init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }

    static let cellID = "TSAIRintoneHistoryCell"

    lazy var setRingBtn: TSUIExpandedTouchButton = {
        let setRingBtn = TSUIExpandedTouchButton()
        setRingBtn.setImage(UIImage(named: "ai_setRing_icon"), for: .normal)
        return setRingBtn
    }()
    
    lazy var ringView: TSRingToneCellView = {
        let ringToneView = TSRingToneCellView()
        ringToneView.backgroundColor = .clear
        return ringToneView
    }()
    
    var model:TSActionInfoModel?{
        didSet{

        }
    }
    
    override var isSelected: Bool{
        didSet{
            backgroundColor = isSelected ? "#3C213F".uiColor :.cardColor
            
            ringView.isloading = isSelected
            
        }
    }
    
    func creatUI() {

        backgroundColor = .cardColor
        cornerRadius = 16.0
        
        contentView.addSubview(ringView)
        ringView.snp.makeConstraints { make in
            make.edges.equalToSuperview()
        }
    
        contentView.addSubview(setRingBtn)
        setRingBtn.snp.makeConstraints { make in
            make.centerY.equalToSuperview()
            make.trailing.equalTo(-16)
            make.width.height.equalTo(20)
        }
    }

}

class TSAIRintoneHistorySectionHeaderView: UICollectionReusableView {
    static let reuseIdentifier = "TSAIRintoneHistorySectionHeaderView"
    
    let titleView: TSTGPTitleView = {
        let titleView = TSTGPTitleView()
        return titleView
    }()
    
    
    
    override init(frame: CGRect) {
        super.init(frame: frame)
        
        addSubview(titleView)
        titleView.snp.makeConstraints { make in
            make.edges.equalToSuperview()
        }
    }
    
    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
}
